Subject: Re: [ANNOUNCEMENT]: Important change to symbolic link functionali ty
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Sat, 24 Feb 2001 19:49:18 -0800

On 24 Feb 2001, at 19:39, the Illustrious Christopher Faylor wrote:

> On Sat, Feb 24, 2001 at 04:22:03PM -0800, Paul Garceau wrote:
> >
> >
> >On 24 Feb 2001, at 18:30, the Illustrious Christopher Faylor wrote:
> >
> >> On Thu, Feb 22, 2001 at 09:53:26PM +0100, Corinna Vinschen wrote:
> >> >> I just thought of another problem though -- if I put together a
> >> >> distro tarball that contains symlinks, the dos paths will match MY
> >> >> system, and not the user's system.  Unless part of the postinstall
> >> >> script is to run fix-symlinks on the symlinks included in the
> >> >> installed package...
> >> >
> >> >No. Obviously not. Since Cygwin tar reads and saves the POSIX path
> >> >in the tarball, it is absolutely correctly recreated when unpacked
> >> >on the target system even when the links are absolute links, say
> >> >/usr/include/foo or alike.
> >> >
> >> >Consider - it's _not_ the *.lnk file which is saved in the tarball
> >> >but the attribute to be a symlink. You would be right in case of
> >> >using WinZip when creating an archive. But that's unfair because
> >> >it's only a native Windows tool...
> >> 
> >> I wonder how WinZip handles .lnk files anyway?  Does it just restore
> >> them "as is"?
> >
> >	Depends on how you add the .lnk file to the archive.  This is what
> >happened when I tested this.
> >
> >Archiving:
> >	a) adding directly to a zip file using "Add to WinZip Archive", 
> >converts the .lnk file  to a .bat file (cygwin.lnk becomes cygwin.bat).

	This was probably unclear...When "Add"ing "to WinZip", what actually 
happens is that WinZip runtime looks at the target reference (in this 
case, d:\cygwin\cygwin.bat) and automatically archives the target file, 
cygwin.bat.  Outside of the "target reference" of the cygwin.lnk file, 
nothing else is added to the WinZip Archive.

	I guess this means you will always get a file added to the WinZip 
archive, even though it may not be the one you really want to have 
added...;-)

> >	b) Opening a WinZip archive, and then copying the .lnk file to the
> >archive leaves the file as is (cygwin.lnk remains cygwin.lnk).
> >
> >De-archiving:
> >
> >	In a) above, when extracted using "extract" option, "cygwin.bat" stays
> > "cygwin.bat". 	In b) above, when extracting using WinZip "extract"
> >option, "cygwin.lnk" stays "cygwin.lnk" and may be launched normally.
> 
> Interesting.  I wonder if this will be a FAQ someday.
> 
> From what you're describing it sounds like in at least one scenario, it
> will be possible to produce invalid (as in pointing to nowhere) .lnk
> files with winzip.

	Yes, but only if the .lnk target reference is an invalid target 
reference on your system.

>  I guess that's to be expected.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple